Skip to main content
GET
Package

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API token.

Path Parameters

packageId
string
required

The unique identifier (UUID) or slug for the subscription package

Query Parameters

include
enum<string>

Include additional data. Available: subscribers

Available options:
subscribers

Response

Subscription package details

id
string<uuid>

Unique identifier for the subscription package

subscriptionType
enum<string>

Type of subscription package

Available options:
picknmix,
variable
name
string

Package name

slug
string

URL-friendly package identifier

sku
string

Stock Keeping Unit

url
string

Full URL to the package page

status
enum<string>

Package status

Available options:
active,
inactive,
out_of_stock
availability
enum<string>

Who can purchase this package

Available options:
all,
subscribers
productType
enum<string>

Always 'subscription' for packages

Available options:
subscription
description
string

Package description

metaTitle
string

SEO meta title

metaDescription
string

SEO meta description

collections
object[]

Collections this package belongs to

images
object[]

Package images

primaryImage
object

Primary package image

price
object

Package price information

salePrice
object | null

Sale price information if on sale

billingFrequency
integer

Default billing frequency in months

billingFrequencies
integer[]

Available billing frequencies in months

pricingType
enum<string>

How the subscription is priced

Available options:
fixed,
per_item
autoRenew
boolean

Whether the subscription auto-renews

minimumItems
integer

Minimum number of items required for pick & mix

availableItems
object[]

Available items for pick & mix subscriptions. Only present for picknmix type

attributes
object[]

Package attributes

options
object[]

Package options

Related products

subscribers
integer

Number of subscribers. Only included when using ?include=subscribers parameter